﻿using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WP7Guide
{
    using System.Collections.Generic;
    using System.Collections.ObjectModel;

    public class BouquetViewModel : ViewModelBase
    {
        private string _name;
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                if (value != _name)
                {
                    _name = value;
                    NotifyPropertyChanged("Name");
                }
            }
        }

        private string _details;
        public string Details
        {
            get
            {
                return _details;
            }
            set
            {
                if (value != _details)
                {
                    _details = value;
                    NotifyPropertyChanged("Details");
                }
            }
        }

        private ObservableCollection<ServiceViewModel> _services;

        public ObservableCollection<ServiceViewModel> Services
        {
            get {
                if (_services == null)
                {
                    _services = new ObservableCollection<ServiceViewModel>();
                }
                return _services;
            }
            set {
                _services = value;
                NotifyPropertyChanged("Services");
            }
        }

        public string RefID { get; set; }
    }
}