﻿using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WP7Guide
{
    using System.Collections.Generic;
    using System.Collections.ObjectModel;

    public class EventViewModel : ViewModelBase
    {
        private string _title;
        public string Title
        {
            get
            {
                return _title;
            }
            set
            {
                if (value != _title)
                {
                    _title = value;
                    NotifyPropertyChanged("Title");
                }
            }
        }
        
        private string _eventId;
        public string EventId
        {
            get
            {
                return _eventId;
            }
            set
            {
                if (value != _eventId)
                {
                    _eventId = value;
                    NotifyPropertyChanged("EventId");
                }
            }
        }

        private string _time;
        public string Time
        {
            get
            {
                return _time;
            }
            set
            {
                if (value != _time)
                {
                    _time = value;
                    NotifyPropertyChanged("Time");
                }
            }
        }

        private DateTime _endTime;
        public DateTime EndTime
        {
            get
            {
                return _endTime;
            }
            set
            {
                if (value != _endTime)
                {
                    _endTime = value;
                    NotifyPropertyChanged("EndTime");
                }
            }
        }



        private string _desription;
        public string Description
        {
            get
            {
                return _desription;
            }
            set
            {
                if (value != _desription)
                {
                    _desription = value;
                    NotifyPropertyChanged("Description");
                }
            }

        }


        private string descriptionExtended;
        public string DescriptionExtended
        {
            get
            {
                return descriptionExtended;
            }
            set
            {
                if (value != descriptionExtended)
                {
                    descriptionExtended = value;
                    NotifyPropertyChanged("DescriptionExtended");
                }
            }
        }
    }
}