/** Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
**/

var Alert = {
	show: function(html, onOK, onCancel, okText, cancelText){
		setTimeout(function(){
			$("#alert .content_text").html(html);
			
			$("#alert_ok .button_text").text((okText != null ? okText : str_alert_ok));
			$("#alert_cancel .button_text").text(cancelText != null? cancelText : str_alert_cancel);
			
			get("alert_ok").click(function(){
				highlight($(this), function(){
					if (onOK) 
						onOK();
					Alert.hide();
				});
			}).pressurize();
			
			if (onCancel) {
				get("alert_cancel").click(function(){
					highlight($(this), function(){
						Alert.hide();
						onCancel();
					});
				}).pressurize();
				get("alert_cancel").removeClass("hidden");
			} else {
				get("alert_cancel").addClass("hidden");
			}
			
			get("alert").removeClass("hidden");
		}, 0);
	},
	
	hide: function(){
		get("alert_ok").unbind("click");
		get("alert_cancel").unbind("click");
		get("alert").addClass("hidden");
	}
}