/** Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
**/

var STATUS_NETWORK_NOT_ALLOVED = window.navigator.NetworkNotAllowed;
var STATUS_NETWORK_ACCESS_ALLOVED = window.navigator.NetworkAccessAllowed;
var STATUS_NETWORK_ACCESSIBLE = window.navigator.NetworkAccessible;

var OnlineMonitor = {
	
	onlineStatus: window.navigator.onLine,
	
	init: function(){
		
		if( !OnlineMonitor.isOnline() ) {
			get("mv_offline_icon").removeClass("hidden");
		} else {
			get("mv_offline_icon").addClass("hidden");			
		}
		
		window.onoffline = function () { setTimeout(function () { 
				//logDebug("window.onoffline event triggered");
				OnlineMonitor.onlineStatus = STATUS_NETWORK_NOT_ALLOVED;
				get("mv_offline_icon").removeClass("hidden");
			}, 0);
		}
		window.ononline = function (onOnlineState) { setTimeout(function () { 
				//logDebug("window.ononline event triggered");
				OnlineMonitor.onlineStatus = onOnlineState;
				if (OnlineMonitor.isOnline()) {
					get("mv_offline_icon").addClass("hidden");
					if( isMiniView() ) {
						miniView.refresh();
					}
				}				 
			}, 0);
		}
	},	
		
	isOnline: function(){
		
		var onlineStatus = window.navigator.onLine;
		
		if (!phone) return true;
		var isOnlineStatus = onlineStatus == STATUS_NETWORK_ACCESS_ALLOVED ||
			onlineStatus == STATUS_NETWORK_ACCESSIBLE;
		
		return isOnlineStatus;
	}
}
