/** Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
 * All rights reserved.
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
**/

//The URL containing the feed for WebTV. Change to your URL.
var RSS_URL = "http://dyndns.casa-del-stifler.de:1235/webtv.rss";

//Defines how often the feed is reread. Milliseconds.
var RSS_DOWNLOAD_INTERVAL = 1000 * 60 * 60;		//in miliseconds (currently set to 1 hour) 

//The URL to fetch the searched items from. NULL = local search.
var SEARCH_URL = null;

//How many items are returned in the search result feed.
var MAX_SEARCH_RESULTS = 15;

//Sets the animation for the soft menu on or off.
//Set on only for hardware accelerated devices.
var ENABLE_RIGHT_MENU_ANIMATION = false;

//When set true, all thumbnails will scale to fit the view. 
//True can affect performance.
var FORCE_IMAGE_SCALE = true;

//The link opened when the softmenu item str_soft_menu_ovi
//is selected. See LocalisedTextStrings.js for more info.
var OVI_STORE_LINK = "http://more.store.ovi.mobi/av_webtv";

//The version number of the widget. This value is evaluated
//against the value in update.txt on your server.
var VERSION = "4.9.1";

//URL to text file containing widget version on the update server.
var UPDATE_URL = "demo/version.txt";

//URL for updating the widget.
var UPDATE_WIDGET_URL = "demo/UpdateDemo.wgz";

//Defines how often to check for widget updates.
//Milliseconds. If set to null, it will only be checked
//when the widget is started.
//NOTE: If the widget installs to Home Screen, setting 
//to null will disable update, since the widget is always on.
var UPDATE_INTERVAL = 1000 * 60 * 60 * 24; 		//in miliseconds (currently set to 1 day)

//Defines how often next item is displayed in the MiniView
var MINIVIEW_UPDATE_INTERVAL = 1000 * 30; 		//in miliseconds

//If the server which is hosting the content uses HTTP authentication
//for the videos, this field should be provided with a text containing:
//"[username]:[password]" with the HTTP authentication username and password.
//Otherwise this field can be removed.
var SERVER_LOGIN = "";

//For each connection type, set true if video streaming is allowed.
var ALLOWED_CONNECTION_TYPES = {};
ALLOWED_CONNECTION_TYPES["OFFLINE"] = false;
ALLOWED_CONNECTION_TYPES["UNKNOWN"] = true;
ALLOWED_CONNECTION_TYPES["CSD"] = false;
ALLOWED_CONNECTION_TYPES["WCDMA"] = true;
ALLOWED_CONNECTION_TYPES["LAN"] = true;
ALLOWED_CONNECTION_TYPES["CDMA2000"] = true;
ALLOWED_CONNECTION_TYPES["GPRS"] = false;
ALLOWED_CONNECTION_TYPES["HSCSD"] = false;
ALLOWED_CONNECTION_TYPES["EDGE,EGPRS"] = false;
ALLOWED_CONNECTION_TYPES["WLAN"] = true;
ALLOWED_CONNECTION_TYPES["BLUETOOTH"] = false;
ALLOWED_CONNECTION_TYPES["VIRTUALVPN"] = false;

var WLAN_ONLY_YES = false; // Sets the default setting for WLAN only playback (user can change the setting in Menu)

var FL_VIDEOPLAYER = "player2.swf"; // AS3 = player2.swf, AS2 = player.swf 
var DEBUG = false; // Enable debug displays in the application
var DYNAMIC_STREAMING_AUTO = false; // Enable automatic dynamic streaming in Flash Video Player
var SERVER_SEEKING_AVAILABLE = false; // Enable server seeking
var SUPPORTED_PROTOCOLS = [ "http://", "https://", "rtmp://", "rtmpt://", "rtmps://" ];
var SCROLL_SPEED = 0; // setting the scroll speed to 0 will disable scrolling
var SCROLL_SPEED_KEYNAV = 500; // don't change this to 0 - if you do, items won't scroll with keyboard navigation

var NATIVE_PLAYER_FILE_EXTENSIONS = ["mov", "avi", "mpeg", "3gp"];
